from dataclasses import dataclass
from enum import Enum

class ButtonType(Enum):
    LEFT = "left"
    DOUBLE_LEFT = "double_left"
    RIGHT = "right"
    MIDDLE = "middle"

@dataclass
class KeyboardInput:
    text: str
    press_enter: bool = False

@dataclass
class MouseInput:
    x: int
    y: int
    click_type: list[ButtonType]

